Bug 1491096 - osad client keep polling spacewalk server with rhn_check every 7 secs
Summary: osad client keep polling spacewalk server with rhn_check every 7 secs
Keywords:
Status: CLOSED EOL
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 2.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-13 04:13 UTC by BetaBoy
Modified: 2019-07-12 11:02 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 11:02:52 UTC


Attachments (Terms of Use)

Description BetaBoy 2017-09-13 04:13:58 UTC
Description of problem:

After applying errata patch update to client using push-to-client function, osad client will still keep polling the spacewalk server with the log /var/log/osad in client node shows:
....
2017-09-13 11:51:18 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13014
2017-09-13 11:51:27 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13015
2017-09-13 11:51:33 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13016
2017-09-13 11:51:40 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13017
2017-09-13 11:51:50 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13018
2017-09-13 11:51:59 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13019
2017-09-13 11:52:05 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13020
2017-09-13 11:52:14 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13021
2017-09-13 11:52:20 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13022
2017-09-13 11:52:27 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13023
2017-09-13 11:52:33 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13024
2017-09-13 11:52:41 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13025
2017-09-13 11:52:47 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13026
2017-09-13 11:52:54 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13027
2017-09-13 11:53:04 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13028
2017-09-13 11:53:11 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13031
2017-09-13 11:53:18 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13032
2017-09-13 11:53:26 osad_client.run_rhn_check_async: executed /usr/sbin/rhn_check with pid 13050
....

# ps -ef | grep rhn
root      3367     1  0 Sep07 ?        00:00:00 rhnsd
root      5910  3410 10 11:51 ?        00:00:00 [rhn_check] <defunct>
root      5914  5892  0 11:51 pts/2    00:00:00 grep rhn

It could be fixed and back to normal by restarting osad:
# service osad restart

Please help to check as I need to restart the osad client manually after apply the patch for every node. Thanks.

Version-Release number of selected component (if applicable):
# rpm -qa | grep -i osad
osad-5.11.74-1.el6.noarch

Comment 1 BetaBoy 2017-09-15 02:28:43 UTC
Hi, I've found more info about what the clients are doing during polling, from /var/log/rhn_server_xmlrpc.log (spacewalk server)

2017/09/15 10:23:19 +08:00 23111 192.168.90.51: xmlrpc/queue.get(1000010003, 2, 'checkins enabled')
2017/09/15 10:23:19 +08:00 23086 192.168.90.51: xmlrpc/up2date.listChannels(1000010003,)
2017/09/15 10:23:19 +08:00 23093 192.168.90.51: xmlrpc/registration.welcome_message('lang: None',)
2017/09/15 10:23:20 +08:00 23090 192.168.90.52: xmlrpc/queue.get(1000010005, 2, 'checkins enabled')
2017/09/15 10:23:20 +08:00 23082 192.168.90.52: xmlrpc/up2date.listChannels(1000010005,)
2017/09/15 10:23:20 +08:00 23020 192.168.90.52: xmlrpc/registration.welcome_message('lang: None',)
2017/09/15 10:23:21 +08:00 23082 192.168.90.50: xmlrpc/queue.get(1000010018, 2, 'checkins enabled')
2017/09/15 10:23:21 +08:00 23020 192.168.90.50: xmlrpc/up2date.listChannels(1000010018,)
2017/09/15 10:23:22 +08:00 23111 192.168.90.50: xmlrpc/registration.welcome_message('lang: None',)
2017/09/15 10:23:25 +08:00 23093 192.168.90.26: xmlrpc/queue.get(1000010016, 2, 'checkins enabled')
2017/09/15 10:23:25 +08:00 23024 192.168.90.26: xmlrpc/up2date.listChannels(1000010016,)
2017/09/15 10:23:25 +08:00 23090 192.168.90.26: xmlrpc/registration.welcome_message('lang: None',)
2017/09/15 10:23:26 +08:00 23020 192.168.90.52: xmlrpc/queue.get(1000010005, 2, 'checkins enabled')
2017/09/15 10:23:26 +08:00 23111 192.168.90.52: xmlrpc/up2date.listChannels(1000010005,)
2017/09/15 10:23:26 +08:00 23086 192.168.90.52: xmlrpc/registration.welcome_message('lang: None',)
2017/09/15 10:23:26 +08:00 23090 192.168.90.51: xmlrpc/queue.get(1000010003, 2, 'checkins enabled')
2017/09/15 10:23:26 +08:00 23020 192.168.90.51: xmlrpc/up2date.listChannels(1000010003,)
2017/09/15 10:23:27 +08:00 23111 192.168.90.51: xmlrpc/registration.welcome_message('lang: None',)

Comment 2 Michael Mráka 2019-07-12 11:02:52 UTC
Spacewalk 2.8 and older has already reached it's End Of Life.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before end of life. If you would still like
to see this bug fixed and are able to reproduce it against current version
of Spacewalk 2.9, you are encouraged change the 'version' and re-open it.


Note You need to log in before you can comment on or make changes to this bug.